Main Page Groups Namespaces

# sigc::functor_trait< T_return(T_obj::*)(), false > Struct Template Reference

List of all members.

## Public Types

typedef T_return | result_type
typedef mem_functor0< T_return, T_obj > | functor_type

### template <class T_return, class T_obj>
struct sigc::functor_trait< T_return(T_obj::*)(), false >

## Member Typedef Documentation

template <class T_return, class T_obj>
typedef mem_functor0<T_return, T_obj> sigc::functor_trait<T_return(T_obj::*)(), false>::functor_type

template <class T_return, class T_obj>
typedef T_return sigc::functor_trait<T_return(T_obj::*)(), false>::result_type

The documentation for this struct was generated from the following file:

- functor_trait.h